/*   Cg/UeXg  Ver 0.00   */
/*                                 */
/*                                 */
/*   by Atsushi        2001/2/14   */


import com.nttdocomo.ui.*;


public class PhoneSystemTest extends IApplication
                             implements SoftKeyListener,KeyListener
{
	/*   ---   Field   ---   */

	private boolean light;
	private boolean vibration;

	/*   ---   Constructor   ---   */

	public PhoneSystemTest()
	{
		light=false;
		vibration=false;
	}

	/*   ---   Jn   ---   */

	public void start()
	{
		Panel panel;
	
		panel=new Panel();
		panel.setSoftLabel(Panel.SOFT_KEY_1,"ײ");
		panel.setSoftLabel(Panel.SOFT_KEY_2,"U");
		panel.setSoftKeyListener(this);
		panel.setKeyListener(this);
		Display.setCurrent(panel);
		
		setPhoneSystem();
	}

	/*   ---      ---   */

	private void setPhoneSystem()
	{
		if (light)
		{
			PhoneSystem.setAttribute(
			    PhoneSystem.DEV_BACKLIGHT,
			    PhoneSystem.ATTR_BACKLIGHT_ON);
		}
		else
		{
			PhoneSystem.setAttribute(
			    PhoneSystem.DEV_BACKLIGHT,
			    PhoneSystem.ATTR_BACKLIGHT_OFF);
		}
		
		if (vibration)
		{
			PhoneSystem.setAttribute(64,65);	// F503i
			PhoneSystem.setAttribute(120,1);	// P503i
		}
		else
		{
			PhoneSystem.setAttribute(64,64);	// F503i
			PhoneSystem.setAttribute(120,0);	// P503i
		}
	}

	/*   ---   Cxg   ---   */

	public void softKeyPressed(int softKey)
	{
		if (softKey==Frame.SOFT_KEY_1)
		{
			light=!light;
			
			setPhoneSystem();
		}
		if (softKey==Frame.SOFT_KEY_2)
		{
			vibration=!vibration;
			
			setPhoneSystem();
		}
	}

	public void keyPressed(Panel panel,int key)
	{
		if (key==Display.KEY_SELECT)
		{
			terminate();
		}
	}

	public void softKeyReleased(int softKey) {}
	public void keyReleased(Panel panel,int key) {}
}
